Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PageInstanceControl

    @ControlInterface
    public interface PageInstanceControl

A custom control interface used to interact with PageInstances.

Method Summary
`void` | `addPlaceableToPageInstance(PlaceableDefinitionId placeableId, int placeholder, int position, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Adds a book or portlet definition to a page instance.
`PageInstance` | `getPageInstance(PageInstanceId id, ResourceContext context)` Gets a PageInstance object
`PageView` | `getPageView(PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Gets a deep immutable view of a page instance.
`boolean` | `isPlaceholderLocked(int placeholder, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Returns true if the placeholder has an update security policy on it.
`void` | `movePlaceable(PlaceableInstanceId placeableId, int placeholder, int position, PageInstanceId fromPageInstanceId, PageInstanceId toPageInstanceId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Moves a book or portlet to another page instance.
`void` | `movePlaceableInPageInstance(PlaceableInstanceId placeableId, int placeholder, int position, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Moves a book or portlet to another placeholder in the same page instance.
`void` | `removePlaceableFromPageInstance(PlaceableInstanceId placeableId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Removes a portlet or book from a page instance.
`void` | `removePlaceholderLock(int placeholder, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Removes the update security policy on a placeholder.
`PageInstanceId` | `rename(String newTitle, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Rename the title of the page.
`void` | `setPlaceholderLock(int placeholder, PageInstanceId pageId, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Creates an update secuity policy on a placholder.
`PageInstanceId` | `updatePageInstanceLayout(LayoutDefinitionId layoutId, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Updates the page instance layout.
`PageInstanceId` | `updatePageInstanceTheme(ThemeDefinitionId themeId, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, boolean isHidden, ResourceContext context)` Updates the page instance theme.
`PageInstanceId` | `updatePageInstanceTheme(ThemeDefinitionId themeId, PageInstanceId id, String webApp, PortalPath portalPath, DesktopPath desktopPath, ResourceContext context)` Updates the page instance theme.

Method Detail

### getPageView

    PageView getPageView(PageInstanceId id,
                         String webApp,
                         PortalPath portalPath,
                         DesktopPath desktopPath,
                         ResourceContext context)
                         throws ToolsException

  Gets a deep immutable view of a page instance.

  Parameters
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    a PageView object.
  Throws
    `ToolsException`

### getPageInstance

    PageInstance getPageInstance(PageInstanceId id,
                                 ResourceContext context)
                                 throws ToolsException

  Gets a PageInstance object

  Parameters
    `id` - the page instance ID
    `context` - the resource context
  Returns
    A PageInstance object.
  Throws
    `ToolsException`

### updatePageInstanceLayout

    PageInstanceId updatePageInstanceLayout(LayoutDefinitionId layoutId,
                                            PageInstanceId id,
                                            String webApp,
                                            PortalPath portalPath,
                                            DesktopPath desktopPath,
                                            ResourceContext context)
                                            throws ToolsException,
                                                   NotEntitledException,
                                                   ObjectNotFoundException

  Updates the page instance layout.

  Parameters
    `layoutId` - The id of the layout.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    The new id assigned to the page instance.
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePageInstanceTheme

    PageInstanceId updatePageInstanceTheme(ThemeDefinitionId themeId,
                                           PageInstanceId id,
                                           String webApp,
                                           PortalPath portalPath,
                                           DesktopPath desktopPath,
                                           ResourceContext context)
                                           throws ToolsException,
                                                  NotEntitledException,
                                                  ObjectNotFoundException

  Updates the page instance theme.

  Parameters
    `themeId` - The id of the theme.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    The new id assigned to the page instance.
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePageInstanceTheme

    PageInstanceId updatePageInstanceTheme(ThemeDefinitionId themeId,
                                           PageInstanceId id,
                                           String webApp,
                                           PortalPath portalPath,
                                           DesktopPath desktopPath,
                                           boolean isHidden,
                                           ResourceContext context)
                                           throws ToolsException,
                                                  NotEntitledException,
                                                  ObjectNotFoundException

  Updates the page instance theme.

  Parameters
    `themeId` - The id of the theme.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `isHidden` - is the page viewable
    `context` - the resource context
  Returns
    The new id assigned to the page instance.
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### addPlaceableToPageInstance

    void addPlaceableToPageInstance(PlaceableDefinitionId placeableId,
                                    int placeholder,
                                    int position,
                                    PageInstanceId id,
                                    String webApp,
                                    PortalPath portalPath,
                                    DesktopPath desktopPath,
                                    ResourceContext context)
                                    throws ToolsException,
                                           IllegalDependencyException,
                                           NotEntitledException,
                                           MissingDataException,
                                           ObjectNotFoundException

  Adds a book or portlet definition to a page instance.

  Parameters
    `placeableId` - The id of the book or portlet definition to add.
    `placeholder` - The placeholder to use.
    `position` - The placeable position.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `IllegalDependencyException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`

### movePlaceableInPageInstance

    void movePlaceableInPageInstance(PlaceableInstanceId placeableId,
                                     int placeholder,
                                     int position,
                                     PageInstanceId id,
                                     String webApp,
                                     PortalPath portalPath,
                                     DesktopPath desktopPath,
                                     ResourceContext context)
                                     throws ToolsException,
                                            IllegalDependencyException,
                                            NotEntitledException,
                                            ObjectNotFoundException

  Moves a book or portlet to another placeholder in the same page instance.

  Parameters
    `placeableId` - The id of the book or portlet instance to move.
    `placeholder` - The placeholder to use.
    `position` - The placeable position.
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `IllegalDependencyException`
    `NotEntitledException`
    `ObjectNotFoundException`

### movePlaceable

    void movePlaceable(PlaceableInstanceId placeableId,
                       int placeholder,
                       int position,
                       PageInstanceId fromPageInstanceId,
                       PageInstanceId toPageInstanceId,
                       String webApp,
                       PortalPath portalPath,
                       DesktopPath desktopPath,
                       ResourceContext context)
                       throws ToolsException,
                              IllegalDependencyException,
                              NotEntitledException,
                              ObjectNotFoundException

  Moves a book or portlet to another page instance.

  Parameters
    `placeableId` - The id of the book or portlet instance to move.
    `placeholder` - The placeholder to use.
    `position` - The placeable position.
    `fromPageInstanceId` - the page instance ID to move from
    `toPageInstanceId` - the page instance ID to move to
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `IllegalDependencyException`
    `NotEntitledException`
    `ObjectNotFoundException`

### rename

    PageInstanceId rename(String newTitle,
                          PageInstanceId id,
                          String webApp,
                          PortalPath portalPath,
                          DesktopPath desktopPath,
                          ResourceContext context)
                          throws ToolsException,
                                 NotEntitledException,
                                 ObjectNotFoundException,
                                 MissingDataException

  Rename the title of the page.

  Parameters
    `newTitle` - the new title for the page
    `id` - the page instance ID
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    the new page instance id
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `MissingDataException`

### removePlaceableFromPageInstance

    void removePlaceableFromPageInstance(PlaceableInstanceId placeableId,
                                         String webApp,
                                         PortalPath portalPath,
                                         DesktopPath desktopPath,
                                         ResourceContext context)
                                         throws ToolsException,
                                                NotEntitledException,
                                                MissingDataException,
                                                ObjectNotFoundException

  Removes a portlet or book from a page instance.

  Parameters
    `placeableId` - The id of the book or portlet instance to remove.
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`

### isPlaceholderLocked

    boolean isPlaceholderLocked(int placeholder,
                                PageInstanceId pageId,
                                String webApp,
                                PortalPath portalPath,
                                DesktopPath desktopPath,
                                ResourceContext context)
                                throws ToolsException

  Returns true if the placeholder has an update security policy on it.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Returns
    true if the placholder has an update security policy set.
  Throws
    `ToolsException`

### setPlaceholderLock

    void setPlaceholderLock(int placeholder,
                            PageInstanceId pageId,
                            String webApp,
                            PortalPath portalPath,
                            DesktopPath desktopPath,
                            ResourceContext context)
                            throws ToolsException,
                                   com.bea.p13n.entitlements.common.PolicyCreateException,
                                   com.bea.p13n.entitlements.common.PolicyExistsException

  Creates an update secuity policy on a placholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`

### removePlaceholderLock

    void removePlaceholderLock(int placeholder,
                               PageInstanceId pageId,
                               String webApp,
                               PortalPath portalPath,
                               DesktopPath desktopPath,
                               ResourceContext context)
                               throws ToolsException,
                                      com.bea.p13n.entitlements.common.PolicyRemoveException,
                                      com.bea.p13n.entitlements.common.PolicyNotFoundException

  Removes the update security policy on a placeholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `portalPath` - the portal path
    `desktopPath` - the desktop path
    `context` - the resource context
  Throws
    `ToolsException`
    `com.bea.p13n.entitlements.common.PolicyRemoveException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.